Autocomplete Department

Prev Next
Get
/api/v1/livechat/department.autocomplete

Search for departments by name.

At least one of the following permissions is required:

  • view-livechat-departments
  • view-l-room

Changelog

Version Description
9.0.0 Removed the conditions field from the selector parameter.
8.8.0 Deprecated the conditions field in the selector parameter.
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
selector
stringRequired

A JSON string containing the search term and an optional array of department IDs to exclude in exceptions.

Example{"exceptions":["departmentId"],"term":"test"}
onlyMyDepartments
boolean

Only displays the departments that you are assigned to. The value can be boolean true or false

showArchived
boolean

The result includes archived departments. The value can be Boolean true or false.

Responses
200

OK

Success Example
{
  "items": [
    {
      "_id": "64f0c2a1b3d4e5f6a7b8c9d0",
      "name": "Sales"
    },
    {
      "_id": "64f0c2a1b3d4e5f6a7b8c9d1",
      "name": "Support"
    }
  ],
  "success": true
}
Expand All
object
items
Array of object
object
_id
string
name
string
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "The 'selector' param is required"
}
object
success
boolean
error
string
401

Unauthorized

Authorization Error
{
  "success": false,
  "error": "You must be logged in to do this."
}
object
success
boolean
error
string